<?php
if (!isset($_SESSION)) {
	session_start();
}
ob_start();
$father = $_SESSION["user_id"];
if (!isset($_SESSION["user_id"])) {
	header("location:../logout.php");
}
include "../actions/dbPDO.php";
if (isset($_REQUEST["dd"])) {
	$contract_id = $_REQUEST["dd"];
}
?>
<!DOCTYPE html>
<html lang="ar" dir="rtl">

<head>
	<meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
	<title>كشف حساب عقد</title>
	<link rel="stylesheet" href="../dist/css/bootstrap.css" />
	<link rel="stylesheet" href="../css/day.css" media="print" />
	<script src="../js/jquery.js"></script>
	<script src="../dist/js/umd/popper.min.js"></script>
	<script src="../dist/js/bootstrap.js"></script>
</head>

<body onload="javascript: window.print(); setTimeout(window.close, 1000);">
	<div class="container-flued" style="padding:50px;">
		<div class="form-row">
			<div class="col-11">
				<p style="font-weight:bold;font-size:10pt;"> كشف حساب عقد رقم <?php echo $contract_id;
		$sq = $db->prepare("SELECT contracts.date_out ,contracts.cont_status, contracts.date_in , customers.cust_name ,cars.kind ,
		concat(cars.letters,' ',cars.numbers) as PL , cars.model , cars.color
		FROM contracts ,customers , cars
		WHERE contracts.cust_id = customers.cust_id
			AND contracts.carid = cars.carid
			AND contract_id =? LIMIT 1");
			$sq->bindParam(1, $contract_id);
			$sq->execute();
			if ($sq->rowCount() > 0) {
				$kok = $sq->fetch(PDO::FETCH_ASSOC);
				echo " " . $kok["cust_name"];
				$kind = $kok["kind"];
				$PL = $kok["PL"];
				$color = $kok["color"];
				$model = $kok["model"];
				$date_out = $kok["date_out"];
				$date_in = $kok["date_in"];
				if (empty($date_in)) {
					$date_in = date("Y-m-d");
				}
			}
			$date_out = new DateTime($date_out);
			$date_out =  $date_out->format("d-m-Y");
			$date_in = new DateTime($date_in);
			$date_in =  $date_in->format("d-m-Y");
			?></p>
			</div>
			<div class="col-1">
				<p style="font-size:8pt;float:left;"><?php
														$cont = $kok["cont_status"];
														switch ($cont) {
															case "1":
																$contt =  "ساري";
																break;
															case "2":
																$contt = "مغلق";
																break;
															case "3":
																$contt = "مديون";
																break;
														}
														echo $contt; ?></p>
			</div>

		</div>
		<div class="form-row">
			<div class="col-9">
				<p style="font-weight:bold;font-size:10pt;"> سيارة <?php echo $kind . " رقم " . $PL . " من " . $date_out . " إلي " . $date_in; ?> </p>
			</div>
			<div class="col-3">
				<p style="font-size:8pt;float:left;"><?php echo date("Y-m-d"); ?></p>
			</div>
		</div>
		<table class="table table-bordered">
			<thead>
				<tr>
					<th class="text-center" width="20%">المبلغ</th>
					<th class="text-center" width="80%">البيان </th>
				</tr>
			</thead>
			<tbody>
				<?php
				$output = "";
				include "../op/number_text.php";
				include "../op/wanted.php";
				$want = new  Wanted($db, $contract_id);
				$sam = $want->wanted();
				$wanted = $sam["wanted"];

				$output .= '<tr>
						<td style="font-weight:bold ;">' . $sam["days_cost"] . '</td>
						<td> قيمة إيجار عدد' . $sam["days_qty"] . ' يوم بقيمة إيجار يومي  ' . $sam["day_cost"] . ' ريال</td>
					</tr>
					<tr>
					 	<td>' . $sam["kilos_cost"] . '</td>
					 	<td> وذلك قيمة عدد  ' . $sam["km_qty"] . ' كيلو متر زيادة بسعر الكيلو ' . $sam["kilo_cost"] . ' هللة</td>
					</tr>
					<tr>
					 	<td>' . $sam["hours_cost"] . '</td>
					 	<td>   قيمة ساعات إضافية لعدد ' . $sam["hour_qty"] . ' ساعة  </td>
					</tr>
					<tr>
					 	<td>' . $sam["addtion_cost"] . '</td>
					 	<td> ' . $sam["addtion_desc"] . '</td>
					</tr>
					<tr>
				 		<td>' . $sam["violations"] . '</td>
				 		<td>قيمة مخالفات</td>
					</tr>
					<tr>
				 		<td>' . $sam["ins_claim"] . '</td>
				 		<td> تعويض تأمينات </td>
					</tr>
					<tr>
				 	<td>' . $sam["deduction"] . '</td>
				 		<td> الخصم </td>
					</tr>
					<tr>
				 		<td>' . $sam["net_cost"] . '</td>
				 		<td> إجمالي تكلفة </td>
				</tr>
				<tr>
				 	<td>' . $sam["vat5"] . '</td>
				 	<td> ضريبة القيمة المضافة 5% المستحقة </td>
				</tr>
				<tr>
				 	<td>' . $sam["vat15"] . '</td>
				 	<td> ضريبة القيمة المضافة 15% المستحقة </td>
				</tr>
				<tr>
				 	<td>' . $sam["after_vat"] . '</td>
				 	<td> إجمالي المستحق لعقد الإيجار بعد إضافة القيمة المضافة </td>
				</tr>
				<tr>
				 	<td>' . $sam["payed"] . '</td>
				 	<td> المدفوع بإجمالي سندات قبض ' . $sam["total_in"] . ' و إجمالي سندات صرف ' . $sam["total_out"] . ' ريال </td>
				</tr>
				<tr>
				 	<td>' . $wanted . '</td>';
				if ($wanted == 0) {
					$output .= '
 				 	<td> لا توجد مديونيات</td>
 				</tr>	';
				} else {
					$output .= '
					<td> المطلوب ' . samTXT($wanted) . ' </td>
				</tr>	';
				}
				echo $output;
				?>
			</tbody>
			<tfoot></tfoot>
		</table>
		<!-- end of main table -->
		<h6 style="font-weight:bold;font-size:10pt;">سندات قبض </h6>
		<div class="form-row">
			<div class="col">
				<table class="table table-bordered">
					<thead>
						<tr>
							<th class="text-center" width="6%">م</th>
							<th class="text-center" width="12%">المبلغ</th>
							<th class="text-center" width="15%">التاريخ</th>
							<th class="text-center" width="12%">كود السند</th>
							<th class="text-center" width="25%">المستلم</th>
							<th class="text-center" width="15%">الفرع</th>
							<th class="text-center" width="15%">طريقة الدفع</th>
						</tr>
					</thead>
					<tbody id="tstandby">
						<?php
						$output2 = '';
						$sql2 = $db->prepare("SELECT in_id , money_in , sanad_date , realName , payMethod ,b_name  FROM sanad_in
																WHERE contract_id = ? order by in_id ");
						$sql2->bindParam(1, $contract_id);
						$sql2->execute();
						if ($sql2->rowCount() > 0) {
							$ss = 1;
							while ($row = $sql2->fetch()) {
								$bb = $row['payMethod'];
								switch ($bb) {
									case "1":
										$pay =  "كاش";
										break;
									case "2":
										$pay = "تحويل الراجحي";
										break;
									case "3":
										$pay = "نقاط بيع";
										break;
									case "5":
											$pay = "تحويل الأهلي";
											break;
								}
								$output2 .= '<tr>
												<td>' . $ss . '</td>
	 											<td>' . $row['money_in'] . '</td>
	 											<td>' . $row['sanad_date'] . '</td>
	 											<td>' . $row['in_id'] . '</td>
	 											<td>' . $row['realName'] . '</td>
	 											<td>' . $row['b_name'] . '</td>
	 											<td>' . $pay . '</td>
	 										</tr>  ';
								$ss = $ss + 1;
							}
						} else {
							$output2 .= '<tr>
	 																												<td colspan="7">لا يوجد سجلات ...</td>
	 																									 </tr>';
						}
						echo $output2;
						?>
					</tbody>
					<tfoot></tfoot>
				</table>
			</div>
		</div> <!-- end of invoice table row -->
		<h6 style="font-weight:bold;font-size:10pt;"> سندات صرف </h6>
		<div class="form-row">
			<div class="col-10">
				<table class="table table-bordered">
					<thead>
						<tr>
							<th class="text-center" width="6%">م</th>
							<th class="text-center" width="12%">المبلغ</th>
							<th class="text-center" width="15%">التاريخ</th>
							<th class="text-center" width="12%">كود السند</th>
							<th class="text-center" width="25%">موظف الفرع</th>
							<th class="text-center" width="15%">الفرع</th>
						</tr>
					</thead>
					<tbody id="tstandby">
						<?php
						$output3 = '';
						$sql3 = $db->prepare("SELECT out_id , money_out , sanad_out , realName , b_name FROM sanad_out WHERE contract_id = ? order by out_id  ");
						$sql3->bindParam(1, $contract_id);
						$sql3->execute();
						if ($sql3->rowCount() > 0) {
							$ss = 1;
							while ($row = $sql3->fetch()) {

								$output3 .= '<tr>
												<td>' . $ss . '</td>
												<td>' . $row['money_out'] . '</td>
												<td>' . $row['sanad_out'] . '</td>
												<td>' . $row['out_id'] . '</td>
												<td>' . $row['realName'] . '</td>
												<td>' . $row['b_name'] . '</td>
											</tr>  ';
								$ss = $ss + 1;
							}
						} else {
							$output3 .= '<tr>
																											<td colspan="6">لا يوجد سجلات ...</td>
																								 </tr>';
						}
						echo $output3;
						?>
					</tbody>
					<tfoot></tfoot>
				</table>
			</div>
		</div> <!-- end of ouvoice table row -->
	</div><!-- main fluied container -->
</body>

</html>